
ls | while read parent_dir; do
   echo "parent_dir is ${parent_dir}"
   cd ${parent_dir}
    find . -maxdepth 1 -type d -name '[0-9]*' | while read dir; do
        if [[ "$(basename "$dir")" < "20240927" ]]; then
            echo "start to delete ${parent_dir}/${dir}"
            rm -rf "$dir"
            echo ""
        fi
    done
    cd ..
    echo ""
    echo ""
done

